Bug 482789 - ibus-m17n should process key input Control+Alt+<key>
ibus-m17n should process key input Control+Alt+<key>
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus-m17n (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 01:18 EST by Parag Nemade
Modified: 2009-02-18 04:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 04:48:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample keymap file to work on this bug (176 bytes, patch)
2009-01-28 01:19 EST, Parag Nemade
no flags Details | Diff

  None (edit)
Description Parag Nemade 2009-01-28 01:18:43 EST
Description of problem:
Ibus dose not allow to type key input with combination of Control+Alt keys.

Version-Release number of selected component (if applicable):
ibus-m17n-0.1.1.20081013-4.fc11.i386

How reproducible:
always

Steps to Reproduce:
1. copy attached hi-test.mim file to /usr/share/m17n
2. start ibus
3. select hi-test.mim and try to use combination written in keymap file.

  
Actual results:
key combination C-A-<key> is not working
 
Expected results:
key combination C-A-<key> should not working

Additional info:
Attached sample hi-test.mim file to work on this bug.
Comment 1 Parag Nemade 2009-01-28 01:19:36 EST
Created attachment 330196 [details]
sample keymap file to work on this bug
Comment 2 Peng Huang 2009-02-15 22:40:22 EST
Hi Parag,

Did you try ibus-m17n-1.1.0.20090211-1.fc11 ? Is it still exist?
Comment 3 Parag Nemade 2009-02-18 01:28:13 EST
Ok. So I enabled hi-test.mim in ibus. Started gedit, selected test keymap. Tried to type combination given in hi-test.mim but its not working.

rpm -qa | grep ibus
ibus-gtk-1.1.0.20090211-9.fc11.i586
ibus-1.1.0.20090211-9.fc11.i586
ibus-m17n-1.1.0.20090211-1.fc11.i386
Comment 4 Peng Huang 2009-02-18 04:48:18 EST
Fixed in ibus-m17n-1_1_0_20090211-2_fc11

Note You need to log in before you can comment on or make changes to this bug.